Page MenuHomePhabricator

Create queue consumer for contribution tracking
Closed, ResolvedPublic

Description

This is the piece that reads off the new queue and inserts into the contribution_tracking table. Should be as continuous as possible. Queue messages should include all the same data we have been inserting into contribution_tracking, plus an ID generated via a sequence generator on the front end.

Details

Event Timeline

Ejegg created this task.Feb 6 2019, 7:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 6 2019, 7:16 PM
jgleeson claimed this task.Mar 21 2019, 6:09 PM

Change 498413 had a related patch set uploaded (by Jgleeson; owner: Jgleeson):
[wikimedia/fundraising/crm@master] WIP: Create queue consumer for contribution tracking

https://gerrit.wikimedia.org/r/498413

Change 498413 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Create queue consumer for contribution tracking messages and add drush command to call it.

https://gerrit.wikimedia.org/r/498413

DStrine closed this task as Resolved.Apr 30 2019, 7:55 PM